For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet all webhooks
      • POSTCreate a webhook
      • GETGet a webhook details
      • PUTUpdate a webhook
      • DELDelete a webhook
      • POSTExport webhook history
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsWebhooks

Delete a webhook

DELETE
https://api.brevo.com/v3/webhooks/:webhookId
DELETE
/v3/webhooks/:webhookId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.webhooks.deleteWebhook(1);
8}
9main();
Permanently deletes a webhook and stops all event notifications. Use this to: - Remove unused or obsolete webhook configurations - Clean up webhook endpoints and subscriptions - Stop event notifications to specific URLs - Maintain organized webhook management Key information returned: - Success confirmation of webhook deletion
Was this page helpful?
Previous

Export webhook history

Next
Built with

Permanently deletes a webhook and stops all event notifications.

Use this to:

  • Remove unused or obsolete webhook configurations
  • Clean up webhook endpoints and subscriptions
  • Stop event notifications to specific URLs
  • Maintain organized webhook management

Key information returned:

  • Success confirmation of webhook deletion

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

webhookIdlongRequired
Id of the webhook

Response

Webhook deleted

Errors

400
Bad Request Error
404
Not Found Error